#!/bin/bash
#
# Last update: 2021.12.9

# 執行過 /opt/cpinst/jacky_script/view_all_account_php_version_cp.sh 程式，會將相關資訊存放以下路徑
# Domain Name 資訊存放 : /tmp/domain.txt
# PHP Version 資訊存放 : /tmp/version.txt

# 將檔案內資料變成陣列
mapfile domain < /tmp/domain.txt
mapfile version < /tmp/version.txt

# 利用 for 將檔案內帳號，執行指令更改為正確的PHP版本
for ((i=0; i < ${#domain[@]}; i++))
do

whmapi1 php_set_vhost_versions vhost=${domain[${i}]} version=${version[${i}]}

done

